Bug#660184: libapache2-mod-perl2: why MP_USE_GTOP?

Niko Tyni ntyni at debian.org
Fri Feb 17 08:35:43 UTC 2012

Package: libapache2-mod-perl2
Version: 2.0.5-5

Fred Moyer from upstream in #650675:

> >                MP_USE_GTOP=1 \
> Is gtop desired for any particular reason?  I would think production
> machines may not want it enabled by default.


Package: libgtop2-dev
Description-en: gtop system monitoring library (devel)
 The gtop library reads information about processes and the state of the
 system. It is used by the GNOME desktop environment.


libapache2-mod-perl2 (1.99.09-1) experimental; urgency=low

  * Update build-deps (libgdbm{,g1}-dev and libgtop{1,2}-dev) and link rules.

 -- Andres Salomon <dilinger at voxel.net>  Sat, 26 Jul 2003 01:29:05 -0400

it looks like this might be old baggage that we should simply drop?

Also, I don't see libgtop2 in the dependencies. Is it linked in statically,
or is debian/patches/001-gtop2.patch really unused?

-    return " -lgtop -lgtop_sysdeps -lgtop_common $xlibs";
+    return " -lgtop-2.0 -lgtop_sysdeps-2.0 -lgtop_common-2.0 $xlibs";
Niko Tyni   ntyni at debian.org

More information about the pkg-perl-maintainers mailing list